#/bin/sh

if [ -r /etc/defaults/periodic.conf ]
then
    . /etc/defaults/periodic.conf
    source_periodic_confs
fi

PATH=$PATH:/usr/local/bin:/usr/local/sbin
export PATH

case "$weekly_letskencrypt_enable" in
    [Yy][Ee][Ss])
	echo
	echo "Checking Let's Encrypt certificate status:"

	if [ -x "$weekly_letskencrypt_renewscript" ] ; then
		$weekly_letskencrypt_renewscript
	else
		if [ -z "$weekly_letskencrypt_domains" ] ; then
			weekly_letskencrypt_domains=$(hostname -f)
			echo "Using hostname: $weekly_letskencrypt_domains"
		fi
		if [ -n "$weekly_letskencrypt_challengedir" ] ; then
			weekly_letskencrypt_args="$weekly_letskencrypt_args -C $weekly_letskencrypt_challengedir"
		fi
		/usr/local/bin/letskencrypt $weekly_letskencrypt_args $weekly_letskencrypt_domains
	fi

	echo "Deploying Let's Encrypt certificates:"

	if [ -x "$weekly_letskencrypt_deployscript" ] ; then
		$weekly_letskencrypt_deployscript
	else
		echo 'Skipped, deploy script not set.'
	fi
        ;;
    *)
        ;;
esac
